Summary: ifhp Print Filter
Name: ifhp
Version: 3.3.16
Release: 1
Group: System Environment/Daemons
Copyright: GPL
Url: http://www.astart.com/Lprng/LPRng.html
Vendor: Astart Technologies
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.astart.com/pub/LPRng/FILTERS/ifhp-%{version}.tgz
BuildRoot: /var/tmp/%{name}-root
Requires: LPRng

%description
The ifhp print filter is the main print filter for the LPRng
print spooler.  It has support for PCL, PostScript, PJL,
and text printers,  as well as a flexible configuration system
that allows it to be configured to handle a wide variety of
unusual or legacy printers.


%prep
%setup -q


%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --sysconfdir=/etc
make


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT MAKEPACKAGE=YES


%files
%defattr(-,root,root)
%doc BUGS CHANGES Copyright INSTALL LICENSE README*
/etc/ifhp.conf.sample
%config /etc/ifhp.conf
/usr/libexec/filters/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

